Subject: bug#72487: calculator-electric-mode causes freeze on subsequent use of minibuffer

From: martin rudalics <[email-masked]>
Date: Sat, 24 Aug 2024 10:00:24 +0200

> Unless this is a recent regression (in Emacs 29 or since Emacs 29),
 > the release branch is not the right place to install this.  In the
 > latter case, please revert and install on master instead.

It's a regression in Emacs 29.

I spent about two hours hunting down this bug which misuses a feature I
introduced earlier in a very awkward way.  I'm still not sure how to fix
this completely.  That said, I think that it would be fair if, whenever
someone offers a patch for a reported serious bug (a bug that causes
Emacs to hang or crash), one of our maintainers explained within a week
or so how to proceed with the patch.

Thanks, martin